> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.specurate.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Component



## OpenAPI

````yaml /openapi.json patch /v1/workspaces/{workspaceId}/brand-standards/{id}/components/{componentId}
openapi: 3.1.0
info:
  title: Specurate API
  description: ''
  version: 1.0.0
  contact: {}
servers:
  - url: https://app.specurate.com/api
    description: API Server
security: []
tags: []
paths:
  /v1/workspaces/{workspaceId}/brand-standards/{id}/components/{componentId}:
    patch:
      tags:
        - Brand Standards
      summary: Update Component
      operationId: BrandStandardsController_updateComponent_v1
      parameters:
        - name: workspaceId
          required: true
          in: path
          schema:
            type: string
        - name: id
          required: true
          in: path
          schema:
            type: string
        - name: componentId
          required: true
          in: path
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateBrandStandardComponentDto'
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BrandStandardComponentsResponseDto'
        '403':
          description: Caller lacks the brand_standard seat.
      security:
        - bearer: []
components:
  schemas:
    UpdateBrandStandardComponentDto:
      type: object
      properties:
        quantity:
          type: string
          example: '2.00'
          pattern: ^(?!0+(?:\.0{1,2})?$)\d{1,16}(?:\.0{1,2})?$
        partItemColumnsAttributes:
          type: object
          additionalProperties: true
        partItemVersion:
          type: integer
          minimum: 1
        primaryItemSourceColumnsAttributes:
          type: object
          additionalProperties: true
    BrandStandardComponentsResponseDto:
      type: object
      properties:
        componentsCount:
          type: integer
          minimum: 0
        materialsCount:
          type: integer
          minimum: 0
        partsCount:
          type: integer
          minimum: 0
        items:
          type: array
          items:
            $ref: '#/components/schemas/BrandStandardComponentResponseDto'
      required:
        - componentsCount
        - materialsCount
        - partsCount
        - items
    BrandStandardComponentResponseDto:
      type: object
      properties:
        quantity:
          type: string
          example: '2.00'
        id:
          type: string
        linkedBrandStandardId:
          type: string
        templateFamilyId:
          type: string
        refNumber:
          type: string
        name:
          type: string
        categoryId:
          type: string
        categoryName:
          type: string
        partItemId:
          type: string
        partItemName:
          type: string
        partFamilyId:
          type: string
        partFamilyName:
          type: string
        partFamilyType:
          type: string
          enum:
            - default
            - material
            - template
        partFamilyCategoryId:
          type: string
        primaryImageUrl:
          type: string
          nullable: true
        partItemColumnsAttributes:
          type: object
          additionalProperties: true
        partItemVersion:
          type: number
        primaryItemSourceId:
          type: string
          nullable: true
        primaryItemSourceColumnsAttributes:
          type: object
          additionalProperties: true
        createdAt:
          type: string
      required:
        - quantity
        - id
        - linkedBrandStandardId
        - templateFamilyId
        - refNumber
        - name
        - categoryId
        - categoryName
        - partItemId
        - partItemName
        - partFamilyId
        - partFamilyName
        - partFamilyType
        - partFamilyCategoryId
        - primaryImageUrl
        - partItemColumnsAttributes
        - partItemVersion
        - primaryItemSourceId
        - primaryItemSourceColumnsAttributes
        - createdAt
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      type: http

````